validators
curl --request GET \
--url https://rpc.cosmos.directory/cosmoshub/validatorsimport requests
url = "https://rpc.cosmos.directory/cosmoshub/validators"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rpc.cosmos.directory/cosmoshub/validators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 0,
"result": {
"block_height": "55",
"validators": [
{
"address": "000001E443FD237E4B616E2FA69DF4EE3D49A94F",
"pub_key": {
"type": "tendermint/PubKeyEd25519",
"value": "9tK9IT+FPdf2qm+5c2qaxi10sWP+3erWTKgftn2PaQM="
},
"voting_power": "239727",
"proposer_priority": "-11896414"
}
],
"count": "1",
"total": "25"
}
}{
"id": 0,
"jsonrpc": "2.0",
"error": "Description of failure"
}Info
validators
Get validator set at a specified height
Get Validators. Validators are sorted first by voting power (descending), then by address (ascending).
If the height field is set to a non-default value, upon success, the
Cache-Control header will be set with the default maximum age.
GET
/
validators
validators
Query Parameters
height to return. If no height is provided, it will fetch validator set which corresponds to the latest block.
Example:
1
Page number (1-based)
Example:
1
Number of entries per page (max: 100)
Example:
30
Was this page helpful?